Page MenuHomePhabricator

[Regression wmf.3] Selecting "Collapsed initially" makes the table look broken with an unclickable useless text [Expand]
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Insert a table
  2. Go to Table Properties dialog
  3. Enable "Collapsible"
  4. Save your edit
  5. Re-open VE
  6. Open the table properties dialog again
  7. Enable "Collapsed initially"

There is a text [Expand] in the caption field and a cell operations arrow beyond the page margin.

I am not seeing this behavior in en.wiki but in test2 and beta, therefore flagging it as recent regression.


Event Timeline

Ryasmeen created this task.May 9 2018, 10:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2018, 10:55 PM

So this happened as a result of rMW8cdfcc5fd4ba: sortable tables/mw-collapsible no longer causes page jump, which displays "fake" expand/collapse buttons using CSS on collapsible elements, usually only before the JavaScript to make them actually collapsible loads. It is a bit unexpected, but I think overall it is desirable for VisualEditor to show the fake buttons when a table is collapsible. We've previously made changes to show fake "sort" buttons for the sortable tables (T139072).

However, we should probably prevent the tables from actually being collapsed by the CSS. VisualEditor should probably override this.

And we need to figure out why the buttons render weirdly above/below the table cell contents, rather than floating next to them, and fix that. (And maybe gray them out or something to indicate this is a non-clickable preview.)

Change 432421 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.ce.MWTableNode: Compatibility with new jQuery.makeCollapsible toggle styles

https://gerrit.wikimedia.org/r/432421

BeforeAfterView mode (for comparison)

The wikitext I've been testing with:

{| class="wikitable mw-collapsible"
|+Caption
!Cell
!Cell
|-
|Cell
|Cell
|}
{| class="wikitable mw-collapsible"
!Cell
|-
|Cell
|-
|Cell
|-
|Cell
|}
{| class="wikitable mw-collapsible mw-collapsed"
|+Caption
!Cell
!Cell
|-
|Cell
|Cell
|}
{| class="wikitable mw-collapsible mw-collapsed"
!Cell
|-
|Cell
|-
|Cell
|-
|Cell
|}

Change 432421 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.ce.MWTableNode: Compatibility with new jQuery.makeCollapsible toggle styles

https://gerrit.wikimedia.org/r/432421

Does the above patch also address the issue in visual diffs? E.g. in https://de.wikipedia.org/w/index.php?title=Benutzer:Schnark/js&diff=prev&oldid=177332168&diffmode=visual the table is currently broken and even though I didn't test, I think the patch only fixes this for editing, not in diff.

Deskana closed this task as Resolved.May 14 2018, 1:59 PM

@Schnark I don't know. If it doesn't, a separate task can be filed for that.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 14 2018, 1:59 PM

@Schnark I don't know. If it doesn't, a separate task can be filed for that.

I tested on de.wikipedia.beta.wmflabs.org, and created T194725: Collapsed tables broken in visual diff.

Vvjjkkii renamed this task from [Regression wmf.3] Selecting "Collapsed initially" makes the table look broken with an unclickable useless text [Expand] to g9caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed matmarex as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: matmarex; removed: gerritbot, Aklapper.
Ryasmeen renamed this task from g9caaaaaaa to [Regression wmf.3] Selecting "Collapsed initially" makes the table look broken with an unclickable useless text [Expand].Jul 1 2018, 5:21 AM
Ryasmeen closed this task as Resolved.
Ryasmeen assigned this task to matmarex.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added subscribers: GerritBot, Aklapper.
CommunityTechBot renamed this task from [Regression wmf.3] Selecting "Collapsed initially" makes the table look broken with an unclickable useless text [Expand] to [Regression wmf.3] Selecting "Collapsed initially" makes the table look broken with an unclickable useless text [Expand].Jul 5 2018, 6:39 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.